import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteConfigurationAggregatorInput } from "../types/DeleteConfigurationAggregatorInput";
import { DeleteConfigurationAggregatorOutput } from "../types/DeleteConfigurationAggregatorOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DeleteConfigurationAggregatorInput";
export * from "../types/DeleteConfigurationAggregatorOutput";
export * from "../types/DeleteConfigurationAggregatorExceptionsUnion";
export declare class DeleteConfigurationAggregatorCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteConfigurationAggregatorInput, OutputTypesUnion, DeleteConfigurationAggregatorOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DeleteConfigurationAggregatorInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteConfigurationAggregatorInput, DeleteConfigurationAggregatorOutput, Blob>;
    constructor(input: DeleteConfigurationAggregatorInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DeleteConfigurationAggregatorInput, DeleteConfigurationAggregatorOutput>;
}
