"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteRetentionConfiguration_1 = require("../model/operations/DeleteRetentionConfiguration");
var DeleteRetentionConfigurationCommand = /** @class */ (function () {
    function DeleteRetentionConfigurationCommand(input) {
        this.input = input;
        this.model = DeleteRetentionConfiguration_1.DeleteRetentionConfiguration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteRetentionConfigurationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteRetentionConfigurationCommand;
}());
exports.DeleteRetentionConfigurationCommand = DeleteRetentionConfigurationCommand;
//# sourceMappingURL=DeleteRetentionConfigurationCommand.js.map