import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeAggregationAuthorizationsInput } from "../types/DescribeAggregationAuthorizationsInput";
import { DescribeAggregationAuthorizationsOutput } from "../types/DescribeAggregationAuthorizationsOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DescribeAggregationAuthorizationsInput";
export * from "../types/DescribeAggregationAuthorizationsOutput";
export * from "../types/DescribeAggregationAuthorizationsExceptionsUnion";
export declare class DescribeAggregationAuthorizationsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeAggregationAuthorizationsInput, OutputTypesUnion, DescribeAggregationAuthorizationsOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DescribeAggregationAuthorizationsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeAggregationAuthorizationsInput, DescribeAggregationAuthorizationsOutput, Blob>;
    constructor(input: DescribeAggregationAuthorizationsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeAggregationAuthorizationsInput, DescribeAggregationAuthorizationsOutput>;
}
