"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeConfigRuleEvaluationStatus_1 = require("../model/operations/DescribeConfigRuleEvaluationStatus");
var DescribeConfigRuleEvaluationStatusCommand = /** @class */ (function () {
    function DescribeConfigRuleEvaluationStatusCommand(input) {
        this.input = input;
        this.model = DescribeConfigRuleEvaluationStatus_1.DescribeConfigRuleEvaluationStatus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeConfigRuleEvaluationStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeConfigRuleEvaluationStatusCommand;
}());
exports.DescribeConfigRuleEvaluationStatusCommand = DescribeConfigRuleEvaluationStatusCommand;
//# sourceMappingURL=DescribeConfigRuleEvaluationStatusCommand.js.map