import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeConfigurationAggregatorSourcesStatusInput } from "../types/DescribeConfigurationAggregatorSourcesStatusInput";
import { DescribeConfigurationAggregatorSourcesStatusOutput } from "../types/DescribeConfigurationAggregatorSourcesStatusOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DescribeConfigurationAggregatorSourcesStatusInput";
export * from "../types/DescribeConfigurationAggregatorSourcesStatusOutput";
export * from "../types/DescribeConfigurationAggregatorSourcesStatusExceptionsUnion";
export declare class DescribeConfigurationAggregatorSourcesStatusCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeConfigurationAggregatorSourcesStatusInput, OutputTypesUnion, DescribeConfigurationAggregatorSourcesStatusOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DescribeConfigurationAggregatorSourcesStatusInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeConfigurationAggregatorSourcesStatusInput, DescribeConfigurationAggregatorSourcesStatusOutput, Blob>;
    constructor(input: DescribeConfigurationAggregatorSourcesStatusInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeConfigurationAggregatorSourcesStatusInput, DescribeConfigurationAggregatorSourcesStatusOutput>;
}
