"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeRemediationExecutionStatus_1 = require("../model/operations/DescribeRemediationExecutionStatus");
var DescribeRemediationExecutionStatusCommand = /** @class */ (function () {
    function DescribeRemediationExecutionStatusCommand(input) {
        this.input = input;
        this.model = DescribeRemediationExecutionStatus_1.DescribeRemediationExecutionStatus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeRemediationExecutionStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeRemediationExecutionStatusCommand;
}());
exports.DescribeRemediationExecutionStatusCommand = DescribeRemediationExecutionStatusCommand;
//# sourceMappingURL=DescribeRemediationExecutionStatusCommand.js.map