"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetAggregateComplianceDetailsByConfigRule_1 = require("../model/operations/GetAggregateComplianceDetailsByConfigRule");
var GetAggregateComplianceDetailsByConfigRuleCommand = /** @class */ (function () {
    function GetAggregateComplianceDetailsByConfigRuleCommand(input) {
        this.input = input;
        this.model = GetAggregateComplianceDetailsByConfigRule_1.GetAggregateComplianceDetailsByConfigRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetAggregateComplianceDetailsByConfigRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetAggregateComplianceDetailsByConfigRuleCommand;
}());
exports.GetAggregateComplianceDetailsByConfigRuleCommand = GetAggregateComplianceDetailsByConfigRuleCommand;
//# sourceMappingURL=GetAggregateComplianceDetailsByConfigRuleCommand.js.map