import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetComplianceSummaryByResourceTypeInput } from "../types/GetComplianceSummaryByResourceTypeInput";
import { GetComplianceSummaryByResourceTypeOutput } from "../types/GetComplianceSummaryByResourceTypeOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/GetComplianceSummaryByResourceTypeInput";
export * from "../types/GetComplianceSummaryByResourceTypeOutput";
export * from "../types/GetComplianceSummaryByResourceTypeExceptionsUnion";
export declare class GetComplianceSummaryByResourceTypeCommand implements __aws_sdk_types.Command<InputTypesUnion, GetComplianceSummaryByResourceTypeInput, OutputTypesUnion, GetComplianceSummaryByResourceTypeOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: GetComplianceSummaryByResourceTypeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetComplianceSummaryByResourceTypeInput, GetComplianceSummaryByResourceTypeOutput, Blob>;
    constructor(input: GetComplianceSummaryByResourceTypeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<GetComplianceSummaryByResourceTypeInput, GetComplianceSummaryByResourceTypeOutput>;
}
