"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutRetentionConfiguration_1 = require("../model/operations/PutRetentionConfiguration");
var PutRetentionConfigurationCommand = /** @class */ (function () {
    function PutRetentionConfigurationCommand(input) {
        this.input = input;
        this.model = PutRetentionConfiguration_1.PutRetentionConfiguration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutRetentionConfigurationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutRetentionConfigurationCommand;
}());
exports.PutRetentionConfigurationCommand = PutRetentionConfigurationCommand;
//# sourceMappingURL=PutRetentionConfigurationCommand.js.map