"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchGetAggregateResourceConfigInput_1 = require("../shapes/BatchGetAggregateResourceConfigInput");
var BatchGetAggregateResourceConfigOutput_1 = require("../shapes/BatchGetAggregateResourceConfigOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var NoSuchConfigurationAggregatorException_1 = require("../shapes/NoSuchConfigurationAggregatorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchGetAggregateResourceConfig = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchGetAggregateResourceConfig",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchGetAggregateResourceConfigInput_1.BatchGetAggregateResourceConfigInput
    },
    output: {
        shape: BatchGetAggregateResourceConfigOutput_1.BatchGetAggregateResourceConfigOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: NoSuchConfigurationAggregatorException_1.NoSuchConfigurationAggregatorException
        }
    ]
};
//# sourceMappingURL=BatchGetAggregateResourceConfig.js.map