"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteEvaluationResultsInput_1 = require("../shapes/DeleteEvaluationResultsInput");
var DeleteEvaluationResultsOutput_1 = require("../shapes/DeleteEvaluationResultsOutput");
var NoSuchConfigRuleException_1 = require("../shapes/NoSuchConfigRuleException");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteEvaluationResults = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteEvaluationResults",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteEvaluationResultsInput_1.DeleteEvaluationResultsInput
    },
    output: {
        shape: DeleteEvaluationResultsOutput_1.DeleteEvaluationResultsOutput
    },
    errors: [
        {
            shape: NoSuchConfigRuleException_1.NoSuchConfigRuleException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        }
    ]
};
//# sourceMappingURL=DeleteEvaluationResults.js.map