"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeComplianceByConfigRuleInput_1 = require("../shapes/DescribeComplianceByConfigRuleInput");
var DescribeComplianceByConfigRuleOutput_1 = require("../shapes/DescribeComplianceByConfigRuleOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var NoSuchConfigRuleException_1 = require("../shapes/NoSuchConfigRuleException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeComplianceByConfigRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeComplianceByConfigRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeComplianceByConfigRuleInput_1.DescribeComplianceByConfigRuleInput
    },
    output: {
        shape: DescribeComplianceByConfigRuleOutput_1.DescribeComplianceByConfigRuleOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: NoSuchConfigRuleException_1.NoSuchConfigRuleException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=DescribeComplianceByConfigRule.js.map