"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeConfigRuleEvaluationStatusInput_1 = require("../shapes/DescribeConfigRuleEvaluationStatusInput");
var DescribeConfigRuleEvaluationStatusOutput_1 = require("../shapes/DescribeConfigRuleEvaluationStatusOutput");
var NoSuchConfigRuleException_1 = require("../shapes/NoSuchConfigRuleException");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeConfigRuleEvaluationStatus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeConfigRuleEvaluationStatus",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeConfigRuleEvaluationStatusInput_1.DescribeConfigRuleEvaluationStatusInput
    },
    output: {
        shape: DescribeConfigRuleEvaluationStatusOutput_1.DescribeConfigRuleEvaluationStatusOutput
    },
    errors: [
        {
            shape: NoSuchConfigRuleException_1.NoSuchConfigRuleException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=DescribeConfigRuleEvaluationStatus.js.map