"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeDeliveryChannelsInput_1 = require("../shapes/DescribeDeliveryChannelsInput");
var DescribeDeliveryChannelsOutput_1 = require("../shapes/DescribeDeliveryChannelsOutput");
var NoSuchDeliveryChannelException_1 = require("../shapes/NoSuchDeliveryChannelException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDeliveryChannels = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDeliveryChannels",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDeliveryChannelsInput_1.DescribeDeliveryChannelsInput
    },
    output: {
        shape: DescribeDeliveryChannelsOutput_1.DescribeDeliveryChannelsOutput
    },
    errors: [
        {
            shape: NoSuchDeliveryChannelException_1.NoSuchDeliveryChannelException
        }
    ]
};
//# sourceMappingURL=DescribeDeliveryChannels.js.map