"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeOrganizationConfigRulesInput_1 = require("../shapes/DescribeOrganizationConfigRulesInput");
var DescribeOrganizationConfigRulesOutput_1 = require("../shapes/DescribeOrganizationConfigRulesOutput");
var NoSuchOrganizationConfigRuleException_1 = require("../shapes/NoSuchOrganizationConfigRuleException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var OrganizationAccessDeniedException_1 = require("../shapes/OrganizationAccessDeniedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeOrganizationConfigRules = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeOrganizationConfigRules",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeOrganizationConfigRulesInput_1.DescribeOrganizationConfigRulesInput
    },
    output: {
        shape: DescribeOrganizationConfigRulesOutput_1.DescribeOrganizationConfigRulesOutput
    },
    errors: [
        {
            shape: NoSuchOrganizationConfigRuleException_1.NoSuchOrganizationConfigRuleException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        },
        {
            shape: OrganizationAccessDeniedException_1.OrganizationAccessDeniedException
        }
    ]
};
//# sourceMappingURL=DescribeOrganizationConfigRules.js.map