"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribePendingAggregationRequestsInput_1 = require("../shapes/DescribePendingAggregationRequestsInput");
var DescribePendingAggregationRequestsOutput_1 = require("../shapes/DescribePendingAggregationRequestsOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribePendingAggregationRequests = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribePendingAggregationRequests",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribePendingAggregationRequestsInput_1.DescribePendingAggregationRequestsInput
    },
    output: {
        shape: DescribePendingAggregationRequestsOutput_1.DescribePendingAggregationRequestsOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        }
    ]
};
//# sourceMappingURL=DescribePendingAggregationRequests.js.map