"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetDiscoveredResourceCountsInput_1 = require("../shapes/GetDiscoveredResourceCountsInput");
var GetDiscoveredResourceCountsOutput_1 = require("../shapes/GetDiscoveredResourceCountsOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDiscoveredResourceCounts = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDiscoveredResourceCounts",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetDiscoveredResourceCountsInput_1.GetDiscoveredResourceCountsInput
    },
    output: {
        shape: GetDiscoveredResourceCountsOutput_1.GetDiscoveredResourceCountsOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=GetDiscoveredResourceCounts.js.map