"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListDiscoveredResourcesInput_1 = require("../shapes/ListDiscoveredResourcesInput");
var ListDiscoveredResourcesOutput_1 = require("../shapes/ListDiscoveredResourcesOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var NoAvailableConfigurationRecorderException_1 = require("../shapes/NoAvailableConfigurationRecorderException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListDiscoveredResources = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListDiscoveredResources",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListDiscoveredResourcesInput_1.ListDiscoveredResourcesInput
    },
    output: {
        shape: ListDiscoveredResourcesOutput_1.ListDiscoveredResourcesOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: NoAvailableConfigurationRecorderException_1.NoAvailableConfigurationRecorderException
        }
    ]
};
//# sourceMappingURL=ListDiscoveredResources.js.map