"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutAggregationAuthorizationInput_1 = require("../shapes/PutAggregationAuthorizationInput");
var PutAggregationAuthorizationOutput_1 = require("../shapes/PutAggregationAuthorizationOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutAggregationAuthorization = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutAggregationAuthorization",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutAggregationAuthorizationInput_1.PutAggregationAuthorizationInput
    },
    output: {
        shape: PutAggregationAuthorizationOutput_1.PutAggregationAuthorizationOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=PutAggregationAuthorization.js.map