"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteEvaluationResults_1 = require("../model/operations/DeleteEvaluationResults");
var DeleteEvaluationResultsCommand = /** @class */ (function () {
    function DeleteEvaluationResultsCommand(input) {
        this.input = input;
        this.model = DeleteEvaluationResults_1.DeleteEvaluationResults;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteEvaluationResultsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteEvaluationResultsCommand;
}());
exports.DeleteEvaluationResultsCommand = DeleteEvaluationResultsCommand;
//# sourceMappingURL=DeleteEvaluationResultsCommand.js.map