"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeAggregateComplianceByConfigRules_1 = require("../model/operations/DescribeAggregateComplianceByConfigRules");
var DescribeAggregateComplianceByConfigRulesCommand = /** @class */ (function () {
    function DescribeAggregateComplianceByConfigRulesCommand(input) {
        this.input = input;
        this.model = DescribeAggregateComplianceByConfigRules_1.DescribeAggregateComplianceByConfigRules;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeAggregateComplianceByConfigRulesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeAggregateComplianceByConfigRulesCommand;
}());
exports.DescribeAggregateComplianceByConfigRulesCommand = DescribeAggregateComplianceByConfigRulesCommand;
//# sourceMappingURL=DescribeAggregateComplianceByConfigRulesCommand.js.map