import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeComplianceByConfigRuleInput } from "../types/DescribeComplianceByConfigRuleInput";
import { DescribeComplianceByConfigRuleOutput } from "../types/DescribeComplianceByConfigRuleOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DescribeComplianceByConfigRuleInput";
export * from "../types/DescribeComplianceByConfigRuleOutput";
export * from "../types/DescribeComplianceByConfigRuleExceptionsUnion";
export declare class DescribeComplianceByConfigRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeComplianceByConfigRuleInput, OutputTypesUnion, DescribeComplianceByConfigRuleOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DescribeComplianceByConfigRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeComplianceByConfigRuleInput, DescribeComplianceByConfigRuleOutput, Blob>;
    constructor(input: DescribeComplianceByConfigRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeComplianceByConfigRuleInput, DescribeComplianceByConfigRuleOutput>;
}
