import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeConfigRulesInput } from "../types/DescribeConfigRulesInput";
import { DescribeConfigRulesOutput } from "../types/DescribeConfigRulesOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DescribeConfigRulesInput";
export * from "../types/DescribeConfigRulesOutput";
export * from "../types/DescribeConfigRulesExceptionsUnion";
export declare class DescribeConfigRulesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeConfigRulesInput, OutputTypesUnion, DescribeConfigRulesOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DescribeConfigRulesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeConfigRulesInput, DescribeConfigRulesOutput, Blob>;
    constructor(input: DescribeConfigRulesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeConfigRulesInput, DescribeConfigRulesOutput>;
}
