import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDeliveryChannelStatusInput } from "../types/DescribeDeliveryChannelStatusInput";
import { DescribeDeliveryChannelStatusOutput } from "../types/DescribeDeliveryChannelStatusOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DescribeDeliveryChannelStatusInput";
export * from "../types/DescribeDeliveryChannelStatusOutput";
export * from "../types/DescribeDeliveryChannelStatusExceptionsUnion";
export declare class DescribeDeliveryChannelStatusCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDeliveryChannelStatusInput, OutputTypesUnion, DescribeDeliveryChannelStatusOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DescribeDeliveryChannelStatusInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDeliveryChannelStatusInput, DescribeDeliveryChannelStatusOutput, Blob>;
    constructor(input: DescribeDeliveryChannelStatusInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeDeliveryChannelStatusInput, DescribeDeliveryChannelStatusOutput>;
}
