import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeOrganizationConfigRuleStatusesInput } from "../types/DescribeOrganizationConfigRuleStatusesInput";
import { DescribeOrganizationConfigRuleStatusesOutput } from "../types/DescribeOrganizationConfigRuleStatusesOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DescribeOrganizationConfigRuleStatusesInput";
export * from "../types/DescribeOrganizationConfigRuleStatusesOutput";
export * from "../types/DescribeOrganizationConfigRuleStatusesExceptionsUnion";
export declare class DescribeOrganizationConfigRuleStatusesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeOrganizationConfigRuleStatusesInput, OutputTypesUnion, DescribeOrganizationConfigRuleStatusesOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DescribeOrganizationConfigRuleStatusesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeOrganizationConfigRuleStatusesInput, DescribeOrganizationConfigRuleStatusesOutput, Blob>;
    constructor(input: DescribeOrganizationConfigRuleStatusesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeOrganizationConfigRuleStatusesInput, DescribeOrganizationConfigRuleStatusesOutput>;
}
