import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetComplianceSummaryByConfigRuleInput } from "../types/GetComplianceSummaryByConfigRuleInput";
import { GetComplianceSummaryByConfigRuleOutput } from "../types/GetComplianceSummaryByConfigRuleOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/GetComplianceSummaryByConfigRuleInput";
export * from "../types/GetComplianceSummaryByConfigRuleOutput";
export * from "../types/GetComplianceSummaryByConfigRuleExceptionsUnion";
export declare class GetComplianceSummaryByConfigRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, GetComplianceSummaryByConfigRuleInput, OutputTypesUnion, GetComplianceSummaryByConfigRuleOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: GetComplianceSummaryByConfigRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetComplianceSummaryByConfigRuleInput, GetComplianceSummaryByConfigRuleOutput, Blob>;
    constructor(input: GetComplianceSummaryByConfigRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<GetComplianceSummaryByConfigRuleInput, GetComplianceSummaryByConfigRuleOutput>;
}
