"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetComplianceSummaryByConfigRule_1 = require("../model/operations/GetComplianceSummaryByConfigRule");
var GetComplianceSummaryByConfigRuleCommand = /** @class */ (function () {
    function GetComplianceSummaryByConfigRuleCommand(input) {
        this.input = input;
        this.model = GetComplianceSummaryByConfigRule_1.GetComplianceSummaryByConfigRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetComplianceSummaryByConfigRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetComplianceSummaryByConfigRuleCommand;
}());
exports.GetComplianceSummaryByConfigRuleCommand = GetComplianceSummaryByConfigRuleCommand;
//# sourceMappingURL=GetComplianceSummaryByConfigRuleCommand.js.map