import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetOrganizationConfigRuleDetailedStatusInput } from "../types/GetOrganizationConfigRuleDetailedStatusInput";
import { GetOrganizationConfigRuleDetailedStatusOutput } from "../types/GetOrganizationConfigRuleDetailedStatusOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/GetOrganizationConfigRuleDetailedStatusInput";
export * from "../types/GetOrganizationConfigRuleDetailedStatusOutput";
export * from "../types/GetOrganizationConfigRuleDetailedStatusExceptionsUnion";
export declare class GetOrganizationConfigRuleDetailedStatusCommand implements __aws_sdk_types.Command<InputTypesUnion, GetOrganizationConfigRuleDetailedStatusInput, OutputTypesUnion, GetOrganizationConfigRuleDetailedStatusOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: GetOrganizationConfigRuleDetailedStatusInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetOrganizationConfigRuleDetailedStatusInput, GetOrganizationConfigRuleDetailedStatusOutput, Blob>;
    constructor(input: GetOrganizationConfigRuleDetailedStatusInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<GetOrganizationConfigRuleDetailedStatusInput, GetOrganizationConfigRuleDetailedStatusOutput>;
}
