"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchGetResourceConfigInput_1 = require("../shapes/BatchGetResourceConfigInput");
var BatchGetResourceConfigOutput_1 = require("../shapes/BatchGetResourceConfigOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var NoAvailableConfigurationRecorderException_1 = require("../shapes/NoAvailableConfigurationRecorderException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchGetResourceConfig = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchGetResourceConfig",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchGetResourceConfigInput_1.BatchGetResourceConfigInput
    },
    output: {
        shape: BatchGetResourceConfigOutput_1.BatchGetResourceConfigOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: NoAvailableConfigurationRecorderException_1.NoAvailableConfigurationRecorderException
        }
    ]
};
//# sourceMappingURL=BatchGetResourceConfig.js.map