"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetAggregateConfigRuleComplianceSummaryInput_1 = require("../shapes/GetAggregateConfigRuleComplianceSummaryInput");
var GetAggregateConfigRuleComplianceSummaryOutput_1 = require("../shapes/GetAggregateConfigRuleComplianceSummaryOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var NoSuchConfigurationAggregatorException_1 = require("../shapes/NoSuchConfigurationAggregatorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetAggregateConfigRuleComplianceSummary = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetAggregateConfigRuleComplianceSummary",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetAggregateConfigRuleComplianceSummaryInput_1.GetAggregateConfigRuleComplianceSummaryInput
    },
    output: {
        shape: GetAggregateConfigRuleComplianceSummaryOutput_1.GetAggregateConfigRuleComplianceSummaryOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: NoSuchConfigurationAggregatorException_1.NoSuchConfigurationAggregatorException
        }
    ]
};
//# sourceMappingURL=GetAggregateConfigRuleComplianceSummary.js.map