"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetAggregateDiscoveredResourceCountsInput_1 = require("../shapes/GetAggregateDiscoveredResourceCountsInput");
var GetAggregateDiscoveredResourceCountsOutput_1 = require("../shapes/GetAggregateDiscoveredResourceCountsOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var NoSuchConfigurationAggregatorException_1 = require("../shapes/NoSuchConfigurationAggregatorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetAggregateDiscoveredResourceCounts = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetAggregateDiscoveredResourceCounts",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetAggregateDiscoveredResourceCountsInput_1.GetAggregateDiscoveredResourceCountsInput
    },
    output: {
        shape: GetAggregateDiscoveredResourceCountsOutput_1.GetAggregateDiscoveredResourceCountsOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: NoSuchConfigurationAggregatorException_1.NoSuchConfigurationAggregatorException
        }
    ]
};
//# sourceMappingURL=GetAggregateDiscoveredResourceCounts.js.map