"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutEvaluationsInput_1 = require("../shapes/PutEvaluationsInput");
var PutEvaluationsOutput_1 = require("../shapes/PutEvaluationsOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidResultTokenException_1 = require("../shapes/InvalidResultTokenException");
var NoSuchConfigRuleException_1 = require("../shapes/NoSuchConfigRuleException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutEvaluations = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutEvaluations",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutEvaluationsInput_1.PutEvaluationsInput
    },
    output: {
        shape: PutEvaluationsOutput_1.PutEvaluationsOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidResultTokenException_1.InvalidResultTokenException
        },
        {
            shape: NoSuchConfigRuleException_1.NoSuchConfigRuleException
        }
    ]
};
//# sourceMappingURL=PutEvaluations.js.map