"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartConfigRulesEvaluationInput_1 = require("../shapes/StartConfigRulesEvaluationInput");
var StartConfigRulesEvaluationOutput_1 = require("../shapes/StartConfigRulesEvaluationOutput");
var NoSuchConfigRuleException_1 = require("../shapes/NoSuchConfigRuleException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartConfigRulesEvaluation = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartConfigRulesEvaluation",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartConfigRulesEvaluationInput_1.StartConfigRulesEvaluationInput
    },
    output: {
        shape: StartConfigRulesEvaluationOutput_1.StartConfigRulesEvaluationOutput
    },
    errors: [
        {
            shape: NoSuchConfigRuleException_1.NoSuchConfigRuleException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=StartConfigRulesEvaluation.js.map